Bug 300231 - Missing libnetfilter_conntrack dependency
Missing libnetfilter_conntrack dependency
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: iptstate (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 08:30 EDT by Allen Kistler
Modified: 2008-05-26 01:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-26 01:48:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Allen Kistler 2007-09-21 08:30:52 EDT
Description of problem:
Updating to recent iptstate unable to find dependency

Version-Release number of selected component (if applicable):
iptstate-2.2.1-1.fc7.i386

How reproducible:
Always

Steps to Reproduce:
1. yum update
  
Actual results:
Resolving Dependencies
--> Running transaction check
---> Package iptstate.i386 0:2.2.1-1.fc7 set to be updated
--> Processing Dependency: libnetfilter_conntrack.so.1 for package: iptstate
--> Finished Dependency Resolution
Error: Missing Dependency: libnetfilter_conntrack.so.1 is needed by package iptstate

Expected results:
Package should find dependencies and update

Additional info:
Included all rpms on DVD + everything stable in updates for F7 at
download.fedora.redhat.com to be searched for dependencies.  I also browsed
testing, but didn't see anything that looked like it would provide the lib.
Comment 1 Allen Kistler 2007-09-22 00:12:30 EDT
Okay.  I found libnetfilter in the "Everything" repo, which I usually don't use.
 So maybe the real bug is that something on the "standard" DVD requires
something in "Everything" for update.  Shouldn't the DVD + stable updates to the
DVD packages be self-consistent?
Comment 2 Bug Zapper 2008-05-14 10:26:03 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Allen Kistler 2008-05-26 01:46:31 EDT
I haven't checked the F8 packaging, but the F9 packaging appears to address the
self-consistency on the DVD.  Closing.

Note You need to log in before you can comment on or make changes to this bug.